# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "rac-delta"
version = "1.0.2"
authors = ["Rubén Cruz <contact@raccreativegames.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Storage agnostic delta patching implementation of rac-delta protocol for Rust. With streaming support and file reconstruction."
readme = "README.md"
keywords = [
    "delta",
    "patching",
    "protocol",
    "streaming",
    "differential",
]
categories = [
    "compression",
    "filesystem",
    "network-programming",
]
license = "MIT"
repository = "https://github.com/raccreative/rac-delta-rs"

[features]
azure = [
    "azure_storage_blob",
    "azure_core",
]
default = []
gcs = [
    "google-cloud-storage",
    "google-cloud-auth",
    "bytes",
]
http = [
    "reqwest",
    "urlencoding",
]
s3 = ["aws-sdk-s3"]
ssh = ["async-ssh2-lite"]
url = ["reqwest"]

[lib]
name = "rac_delta"
path = "src/lib.rs"

[dependencies.async-ssh2-lite]
version = "0.5"
features = ["tokio"]
optional = true

[dependencies.async-stream]
version = "0.3.6"

[dependencies.async-trait]
version = "0.1.89"

[dependencies.aws-sdk-s3]
version = "1.119.0"
features = ["behavior-version-latest"]
optional = true

[dependencies.azure_core]
version = "0.30.1"
optional = true

[dependencies.azure_storage_blob]
version = "0.7.0"
optional = true

[dependencies.blake3]
version = "1.8.3"

[dependencies.bytes]
version = "1.11.0"
optional = true

[dependencies.futures]
version = "0.3"

[dependencies.google-cloud-auth]
version = "1.2.0"
optional = true

[dependencies.google-cloud-storage]
version = "1.4.0"
features = ["unstable-stream"]
optional = true

[dependencies.regex]
version = "1.11"

[dependencies.reqwest]
version = "0.13.1"
features = [
    "json",
    "stream",
]
optional = true

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.149"

[dependencies.thiserror]
version = "2.0.17"

[dependencies.tokio]
version = "1.0"
features = ["full"]

[dependencies.tokio-util]
version = "0.7.18"
features = [
    "io",
    "compat",
]

[dependencies.urlencoding]
version = "2.1"
optional = true
